> ## Documentation Index
> Fetch the complete documentation index at: https://docs.area.club/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a specific LAT

> Returns detailed information about a specific LAT by address. Supports optional TVL, APY, and curated metadata inclusion.



## OpenAPI

````yaml get /lat/{address}
openapi: 3.0.3
info:
  title: Area API
  description: >-
    Area is a decentralized, non-custodial liquid restaking protocol that allows
    users to directly restake into networks and services.
  version: 1.0.0
  license:
    name: MIT
    url: https://spdx.org/licenses/MIT.html
servers:
  - url: https://api.area.club
    description: Area Production API
security: []
paths:
  /lat/{address}:
    get:
      tags:
        - LAT
      summary: Retrieve a specific LAT
      description: >-
        Returns detailed information about a specific LAT by address. Supports
        optional TVL, APY, and curated metadata inclusion.
      operationId: getLat
      parameters:
        - in: path
          name: address
          description: LAT contract address (proxy)
          schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
            description: LAT contract address (proxy)
            example: '0x94a2a0548681fda8d5e2ad5a8eeecd891e02a613'
          required: true
        - in: query
          name: withTvl
          description: Toggle whether the route should calculate the TVL from shares
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
            description: Toggle whether the route should calculate the TVL from shares
            example: 'false'
        - in: query
          name: withCuratedMetadata
          description: Toggle whether the route should send curated metadata
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
            description: Toggle whether the route should send curated metadata
            example: 'false'
        - in: query
          name: withApy
          description: Toggle whether the route should send apy data
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
            description: Toggle whether the route should send apy data
            example: 'false'
      responses:
        '200':
          description: Detailed information about the requested LAT
          content:
            application/json:
              schema:
                type: object
                properties:
                  proxyAddress:
                    type: string
                    pattern: ^0x[a-fA-F0-9]{40}$
                    description: Proxy contract address of the LAT
                    example: '0x35f4f28a8d3ff20eed10e087e8f96ea2641e6aa1'
                  implementationAddress:
                    type: string
                    pattern: ^0x[a-fA-F0-9]{40}$
                    description: Implementation contract address of the LAT
                    example: '0x93c4b944d05dfe6df7645a86cd2206016c51564d'
                  name:
                    type: string
                    description: The name of the LAT
                    example: EigenDA-ETH Liquid AVS Token
                  symbol:
                    type: string
                    description: The symbol of the LAT
                    example: xEigenDA-ETH
                  avsAddress:
                    type: string
                    pattern: ^0x[a-fA-F0-9]{40}$
                    description: Underlying AVS contract address
                    example: '0x2344c0fe02ccd2b32155ca0ffcb1978a6d96a552'
                  chainId:
                    type: number
                    description: The chain ID where the token is deployed
                    example: 1
                  maxNodes:
                    type: number
                    description: Maximum number of Staker Nodes allowed
                    example: 12
                  contractDeployments:
                    type: object
                    properties:
                      implementation:
                        type: object
                        additionalProperties:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                        description: Implementation contracts
                        example:
                          liquidTokenManager: '0x35f4f28a8d3ff20eed10e087e8f96ea2641e6aa1'
                      proxy:
                        type: object
                        additionalProperties:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                        description: Proxy contracts
                        example:
                          liquidTokenManager: '0x93c4b944d05dfe6df7645a86cd2206016c51564d'
                    required:
                      - implementation
                      - proxy
                  tokens:
                    type: array
                    items:
                      type: object
                      properties:
                        address:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                          description: Token contract address
                          example: '0x35f4f28a8d3ff20eed10e087e8f96ea2641e6aa1'
                        strategyAddress:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                          description: Strategy contract address
                          example: '0x93c4b944d05dfe6df7645a86cd2206016c51564d'
                        volatilityThreshold:
                          type: string
                          description: Volatility threshold for the token
                          example: '700000000000000000'
                        pricePerUnit:
                          type: string
                          description: Price per unit for the token
                          example: '1020000000000000000'
                        decimals:
                          type: number
                          description: Number of decimals for the token
                          example: 18
                      required:
                        - address
                        - strategyAddress
                        - volatilityThreshold
                        - pricePerUnit
                        - decimals
                    description: Tokens supported by the LAT
                  assets:
                    type: array
                    items:
                      type: object
                      properties:
                        asset:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                          description: Asset contract address
                        balance:
                          type: string
                          description: Current balance of the asset
                        queuedBalance:
                          type: string
                          description: Queued balance of the asset
                      required:
                        - asset
                        - balance
                        - queuedBalance
                    description: Supported assets
                  tvl:
                    type: object
                    properties:
                      tvl:
                        type: number
                        description: Total Value Locked in ETH
                      unstakedTvl:
                        type: number
                        description: Unstaked TVL in ETH
                      stakedTvl:
                        type: number
                        description: Staked TVL in ETH
                      queuedTvl:
                        type: number
                        description: Queued TVL in ETH
                      tvlAssets:
                        type: object
                        additionalProperties:
                          type: number
                        description: TVL breakdown by asset symbol
                      tvlAssetsEth:
                        type: object
                        additionalProperties:
                          type: number
                        description: TVL breakdown by asset symbol in ETH value
                    required:
                      - tvl
                      - unstakedTvl
                      - stakedTvl
                      - queuedTvl
                      - tvlAssets
                      - tvlAssetsEth
                    description: TVL and breakdown
                  apys:
                    type: object
                    properties:
                      current:
                        type: object
                        properties:
                          apy:
                            type: string
                            description: APY from restaking (AVS rewards)
                          baseApy:
                            type: string
                            description: Base APY (from LST yield)
                          nativeApy:
                            type: string
                            description: >-
                              Native APY (from EigenLayer programmatic
                              incentives)
                          totalApy:
                            type: string
                            description: Total APY
                        required:
                          - apy
                          - baseApy
                          - nativeApy
                          - totalApy
                        description: Current APY values
                        example:
                          apy: '0.057'
                          baseApy: '3.073'
                          nativeApy: '0.128'
                          totalApy: '3.257'
                      avg30d:
                        type: object
                        properties:
                          apy:
                            type: string
                            description: APY from restaking (AVS rewards)
                          baseApy:
                            type: string
                            description: Base APY (from LST yield)
                          nativeApy:
                            type: string
                            description: >-
                              Native APY (from EigenLayer programmatic
                              incentives)
                          totalApy:
                            type: string
                            description: Total APY
                        required:
                          - apy
                          - baseApy
                          - nativeApy
                          - totalApy
                        description: 30-day average APY values
                        example:
                          apy: '0.057'
                          baseApy: '3.073'
                          nativeApy: '0.128'
                          totalApy: '3.257'
                      trailing7d:
                        type: object
                        properties:
                          apy:
                            type: string
                            description: APY from restaking (AVS rewards)
                          baseApy:
                            type: string
                            description: Base APY (from LST yield)
                          nativeApy:
                            type: string
                            description: >-
                              Native APY (from EigenLayer programmatic
                              incentives)
                          totalApy:
                            type: string
                            description: Total APY
                        required:
                          - apy
                          - baseApy
                          - nativeApy
                          - totalApy
                        description: 7-day trailing APY values
                        example:
                          apy: '0.057'
                          baseApy: '3.073'
                          nativeApy: '0.128'
                          totalApy: '3.257'
                      trailing30d:
                        type: object
                        properties:
                          apy:
                            type: string
                            description: APY from restaking (AVS rewards)
                          baseApy:
                            type: string
                            description: Base APY (from LST yield)
                          nativeApy:
                            type: string
                            description: >-
                              Native APY (from EigenLayer programmatic
                              incentives)
                          totalApy:
                            type: string
                            description: Total APY
                        required:
                          - apy
                          - baseApy
                          - nativeApy
                          - totalApy
                        description: 30-day trailing APY values
                        example:
                          apy: '0.057'
                          baseApy: '3.073'
                          nativeApy: '0.128'
                          totalApy: '3.257'
                      trailing3m:
                        type: object
                        properties:
                          apy:
                            type: string
                            description: APY from restaking (AVS rewards)
                          baseApy:
                            type: string
                            description: Base APY (from LST yield)
                          nativeApy:
                            type: string
                            description: >-
                              Native APY (from EigenLayer programmatic
                              incentives)
                          totalApy:
                            type: string
                            description: Total APY
                        required:
                          - apy
                          - baseApy
                          - nativeApy
                          - totalApy
                        description: 3-month trailing APY values
                        example:
                          apy: '0.057'
                          baseApy: '3.073'
                          nativeApy: '0.128'
                          totalApy: '3.257'
                      trailing6m:
                        type: object
                        properties:
                          apy:
                            type: string
                            description: APY from restaking (AVS rewards)
                          baseApy:
                            type: string
                            description: Base APY (from LST yield)
                          nativeApy:
                            type: string
                            description: >-
                              Native APY (from EigenLayer programmatic
                              incentives)
                          totalApy:
                            type: string
                            description: Total APY
                        required:
                          - apy
                          - baseApy
                          - nativeApy
                          - totalApy
                        description: 6-month trailing APY values
                        example:
                          apy: '0.057'
                          baseApy: '3.073'
                          nativeApy: '0.128'
                          totalApy: '3.257'
                      trailing1y:
                        type: object
                        properties:
                          apy:
                            type: string
                            description: APY from restaking (AVS rewards)
                          baseApy:
                            type: string
                            description: Base APY (from LST yield)
                          nativeApy:
                            type: string
                            description: >-
                              Native APY (from EigenLayer programmatic
                              incentives)
                          totalApy:
                            type: string
                            description: Total APY
                        required:
                          - apy
                          - baseApy
                          - nativeApy
                          - totalApy
                        description: 1-year trailing APY values
                        example:
                          apy: '0.057'
                          baseApy: '3.073'
                          nativeApy: '0.128'
                          totalApy: '3.257'
                    required:
                      - current
                      - avg30d
                      - trailing7d
                      - trailing30d
                      - trailing3m
                      - trailing6m
                      - trailing1y
                    description: APY breakdown for different time periods
                  curatedMetadata:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: string
                        - type: array
                          items:
                            type: string
                    description: >-
                      To curate visibility and additional information of the
                      AVS 
                    example:
                      avsAddress: '0x2344c0fe02ccd2b32155ca0ffcb1978a6d96a552'
                      metadataName: Example AVS
                      metadataDescription: This is an example AVS
                      metadataDiscord: https://discord.com/invite/example
                      metadataLogo: The URL of the AVS's logo
                      metadataTelegram: The URL of the AVS's Telegram channel
                      metadataWebsite: https://example.com
                      metadataX: https://twitter.com/example
                      metadataGithub: https://github.com/example
                      metadataTokenAddress: '0x2344c0fe02ccd2b32155ca0ffcb1978a6d96a552'
                      tags:
                        - Example tag 1
                        - Example tag 2
                required:
                  - proxyAddress
                  - implementationAddress
                  - name
                  - symbol
                  - avsAddress
                  - chainId
                  - maxNodes
                  - contractDeployments
                  - tokens
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '422':
          $ref: '#/components/responses/422'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
components:
  responses:
    '400':
      description: >-
        The server cannot or will not process the request due to something that
        is perceived to be a client error (e.g., malformed request syntax,
        invalid request message framing, or deceptive request routing).
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - bad_request
                    description: A short code indicating the error code returned.
                    example: bad_request
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#bad_request
                required:
                  - code
                  - message
            required:
              - error
    '401':
      description: >-
        Although the HTTP standard specifies "unauthorized", semantically this
        response means "unauthenticated". That is, the client must authenticate
        itself to get the requested response.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unauthorized
                    description: A short code indicating the error code returned.
                    example: unauthorized
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#unauthorized
                required:
                  - code
                  - message
            required:
              - error
    '403':
      description: >-
        The client does not have access rights to the content; that is, it is
        unauthorized, so the server is refusing to give the requested resource.
        Unlike 401 Unauthorized, the client's identity is known to the server.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - forbidden
                    description: A short code indicating the error code returned.
                    example: forbidden
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#forbidden
                required:
                  - code
                  - message
            required:
              - error
    '404':
      description: The server cannot find the requested resource.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - not_found
                    description: A short code indicating the error code returned.
                    example: not_found
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#not_found
                required:
                  - code
                  - message
            required:
              - error
    '422':
      description: >-
        The request was well-formed but was unable to be followed due to
        semantic errors.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unprocessable_entity
                    description: A short code indicating the error code returned.
                    example: unprocessable_entity
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity
                required:
                  - code
                  - message
            required:
              - error
    '429':
      description: >-
        The user has sent too many requests in a given amount of time ("rate
        limiting")
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - rate_limit_exceeded
                    description: A short code indicating the error code returned.
                    example: rate_limit_exceeded
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded
                required:
                  - code
                  - message
            required:
              - error
    '500':
      description: The server has encountered a situation it does not know how to handle.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - internal_server_error
                    description: A short code indicating the error code returned.
                    example: internal_server_error
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#internal_server_error
                required:
                  - code
                  - message
            required:
              - error

````